import { type DomainEvent } from '@modules/shared';

export class ReviewDeletedEvent implements DomainEvent {
  readonly eventName = 'review.deleted';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly userId: string,
    public readonly targetType: string,
    public readonly targetId: string,
  ) {}
}
